# ]po[ DynField 
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](http://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](http://www.project-open.com/en/list-installers)

About ]po[ DynField :

<p>This package allows administrators to add custom fields to any of the ]project-open[ main business objects without touching the ]po[ code. Instead, administration screens exist that allow to define field names, storage type, value range and widgets for DynFields. <p>This mechanism allows ]po[ to be modified according to specific customer needs, in a more time and energy efficient manner. See: <a href="/en/page-intranet-dynfield-index">DynFields Administration</a> for more on how this is done specifically within ]project-open[. <p>

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/attribute-procs.tcl">tcl/attribute-procs.tcl</a></b></td><td></td><td>Procs to help with attributes for object types </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/calculated-sql-widget-procs.tcl">tcl/calculated-sql-widget-procs.tcl</a></b></td><td></td><td>Additional Widgets for use with the intranet-dynfield extensible architecture </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/generic-sql-widget-procs.tcl">tcl/generic-sql-widget-procs.tcl</a></b></td><td></td><td>Additional Widgets for use with the intranet-dynfield extensible architecture </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/generic-tcl-widget-procs.tcl">tcl/generic-tcl-widget-procs.tcl</a></b></td><td></td><td>Additional Widgets for use with the intranet-dynfield extensible architecture </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/hidden-widget-procs.tcl">tcl/hidden-widget-procs.tcl</a></b></td><td></td><td>Additional OpenACS Widgets for use with the DynField extensible architecture </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/instant-message-widgets-procs.tcl">tcl/instant-message-widgets-procs.tcl</a></b></td><td></td><td>Widget procs for instant messaging </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/intranet-dynfield-install-procs.tcl">tcl/intranet-dynfield-install-procs.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/intranet-dynfield-procs.tcl">tcl/intranet-dynfield-procs.tcl</a></b></td><td></td><td>Support procs for the intranet-dynfield package </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/mobile-number-widget-procs.tcl">tcl/mobile-number-widget-procs.tcl</a></b></td><td></td><td>Mobile_Number input widget and utilities procs for the OpenACS templating system. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/recurrence-widget-procs.tcl">tcl/recurrence-widget-procs.tcl</a></b></td><td></td><td>Address input widget and datatype for the OpenACS templating system. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=6000&amp;path=packages/intranet-dynfield/tcl/telecom-number-widget-procs.tcl">tcl/telecom-number-widget-procs.tcl</a></b></td><td></td><td>Telecom_Number input widget and datatype for the OpenACS templating system. </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=attribute::delete_xt">attribute::delete_xt</a></b></td><td></td><td>Intranet-Dynfield extended version of deleting the specified attribute id and all its values. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=attribute::name">attribute::name</a></b></td><td></td><td>this code returns the name of an attribute </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::append_attribute_to_form">im_dynfield::append_attribute_to_form</a></b></td><td></td><td>Append a single attribute to a form </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::append_attributes_to_form">im_dynfield::append_attributes_to_form</a></b></td><td></td><td>Append intranet-dynfield attributes for object_type to an existing form.&lt;p&gt; </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::append_attributes_to_im_view">im_dynfield::append_attributes_to_im_view</a></b></td><td></td><td>Returns a list with three elements: Element 0: A list of PrettyNames, suitable to be appended to the &quot;column_headers&quot; list of a project-open im_view type of ListPage (such as ProjectListPage, CompanyListPage, ...) Element 1: A list of &quot;display_tcl&quot; expressions suitable to be appended to the &quot;column_vars&quot; list of a project-open im_view ListPage. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::add">im_dynfield::attribute::add</a></b></td><td></td><td>Create a completely new im_dynfield attribute and handle all strange side conditions. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::exists_p">im_dynfield::attribute::exists_p</a></b></td><td></td><td>Check if the intranet-dynfield attribute already exists.&lt;br&gt; Considers the case that intranet-dynfield got installed and deinstalled before, so it only considers attributes that exist in both acs_attributes and im_dynfield_attributes. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::get_name_from_id">im_dynfield::attribute::get_name_from_id</a></b></td><td></td><td>Returns the cached name for the dynfield attribute </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::map">im_dynfield::attribute::map</a></b></td><td></td><td>Map an ams option for an attribute to an option_map_id, if no value is supplied for option_map_id a new option_map_id will be created. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::optional">im_dynfield::attribute::optional</a></b></td><td></td><td>Specify and ams_attribute as optional in an ams list </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::required">im_dynfield::attribute::required</a></b></td><td></td><td>Specify and ams_attribute as required in an ams list </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute::unmap">im_dynfield::attribute::unmap</a></b></td><td></td><td>Unmap an ams option from an ams list </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute_store">im_dynfield::attribute_store</a></b></td><td></td><td>Store intranet-dynfield attributes. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::attribute_validate">im_dynfield::attribute_validate</a></b></td><td></td><td>Validates intranet-dynfield attributes and ensures a clean error handling. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::create_clone_update_sql">im_dynfield::create_clone_update_sql</a></b></td><td></td><td>Returns an SQL update statement that can be executed in the context of an object clone() procedure in order to update dynfields from variables in memory, pulled out of the DB by a statement such as &quot;select p.* from im_projects...&quot;. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::datatype_options">im_dynfield::datatype_options</a></b></td><td></td><td>Return the default list of datatypes cached </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::datatype_options_not_cached">im_dynfield::datatype_options_not_cached</a></b></td><td></td><td>Return the default list of datatypes not cached </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::dynfields_per_object_subtype">im_dynfield::dynfields_per_object_subtype</a></b></td><td></td><td>Returns the list of dynfield_attributes for each subtype </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::dynfields_per_object_subtype_helper">im_dynfield::dynfields_per_object_subtype_helper</a></b></td><td></td><td>Returns the list of dynfield_attributes that are common to all object subtypes </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::elements">im_dynfield::elements</a></b></td><td></td><td>This returns a list of lists with the attribute information It checks for permission on the dynfield </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::left_navbar">im_dynfield::left_navbar</a></b></td><td></td><td>Return a HTML component with the list of DynField pages. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::object_attributes_derefs">im_dynfield::object_attributes_derefs</a></b></td><td></td><td>Returns a list list of dereferentiation &quot;SELECT&quot; statements. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::object_attributes_for_select">im_dynfield::object_attributes_for_select</a></b></td><td></td><td>Returns a list {key1 value1 key2 value2 ...} of attributes and pretty_names for object. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::package_id">im_dynfield::package_id</a></b></td><td></td><td>TODO: Get the INTRANET-DYNFIELD package ID, not the connection package_id Get the package_id of the intranet-dynfield instance </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::plsql::index_column">im_dynfield::plsql::index_column</a></b></td><td></td><td>Returns the index column for the object&#39;s main table </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::plsql::new_object_create_call">im_dynfield::plsql::new_object_create_call</a></b></td><td></td><td>Returns the Pl/SQL call to create a new object of type object_type. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::plsql::required_variables">im_dynfield::plsql::required_variables</a></b></td><td></td><td>Returns the list of variables that need to be present in order to execute the new_object_create_call Pl/SQL call successfully. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::search_sql_criteria_from_form">im_dynfield::search_sql_criteria_from_form</a></b></td><td></td><td>This procedure generates a subquery SQL clause &quot;(select object_id from ...)&quot; that can be used by a main query clause either as a &quot;where &lt;*&gt;_id in ...&quot; or via a join in order to limit the number of object_ids to the ones that fit to the filter criteria. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::set_form_values_from_http">im_dynfield::set_form_values_from_http</a></b></td><td></td><td>Set the values of a form based on the values from &quot;ns_conn form&quot;. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::set_local_form_vars_from_http">im_dynfield::set_local_form_vars_from_http</a></b></td><td></td><td>Set local variables to the values passed on in HTTP, so that we don&#39;t need to add all of them into the ad header. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::status_category_for_object_type">im_dynfield::status_category_for_object_type</a></b></td><td></td><td>Get the category for the status_id of a given object_type </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::subtype_have_same_attributes_p">im_dynfield::subtype_have_same_attributes_p</a></b></td><td></td><td>Returns &quot;1&quot; if all object subtypes have the same list of dynfields. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::type_categories_for_object_type">im_dynfield::type_categories_for_object_type</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::type_category_for_object_type">im_dynfield::type_category_for_object_type</a></b></td><td></td><td>Get the category for the type_id of a given object_type </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::util::missing_attributes_from_table">im_dynfield::util::missing_attributes_from_table</a></b></td><td></td><td>Returns a list of list of column names from the table which are not in acs_attributes. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::widget_options">im_dynfield::widget_options</a></b></td><td></td><td>Return the default list of widgets cached </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::widget_options_not_cached">im_dynfield::widget_options_not_cached</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::widget_options_not_cached_procs">im_dynfield::widget_options_not_cached_procs</a></b></td><td></td><td>Pulls out all procedures following a patters. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield::widget_request">im_dynfield::widget_request</a></b></td><td></td><td>Corresponds to ::ams::widget::${widget} functions to answer to &quot;request&quot;. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_multimap_id">im_dynfield_multimap_id</a></b></td><td></td><td>Return the storage type id of a table </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_multimap_ids">im_dynfield_multimap_ids</a></b></td><td></td><td>Return the multimap ids </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_multimap_table">im_dynfield_multimap_table</a></b></td><td></td><td>Return the table_name of a storage_type_id </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_multimap_tables">im_dynfield_multimap_tables</a></b></td><td></td><td>Return the multimap tables </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_multimaps">im_dynfield_multimaps</a></b></td><td></td><td>Return a list of list of the multimap storage types and their table which at the moment is 10005 for normal multimapping and 10006 for im_category multimapping </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_storage_type_id_multimap">im_dynfield_storage_type_id_multimap</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=im_dynfield_storage_type_id_value">im_dynfield_storage_type_id_value</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=template::widget::calculated_sql">template::widget::calculated_sql</a></b></td><td></td><td>Calculated Sql Widget </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=template::widget::dynfield_hidden">template::widget::dynfield_hidden</a></b></td><td></td><td>Hidden Widget </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=template::widget::generic_sql">template::widget::generic_sql</a></b></td><td></td><td>Generic SQL Select Widget </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=6000&amp;proc=template::widget::generic_tcl">template::widget::generic_tcl</a></b></td><td></td><td>Generic TCL Select Widget </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-dynfield&amp;url=postgresql/intranet-dynfield-create.sql&amp;version_id=6000">sql/postgresql/intranet-dynfield-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-dynfield&amp;url=postgresql/intranet-dynfield-drop.sql&amp;version_id=6000">sql/postgresql/intranet-dynfield-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-dynfield&amp;url=postgresql/upgrade/upgrade-20050331.sql&amp;version_id=6000">sql/postgresql/upgrade/upgrade-20050331.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-dynfield&amp;url=postgresql/upgrade/upgrade-5.0.2.3.4-5.0.2.3.5.sql&amp;version_id=6000">sql/postgresql/upgrade/upgrade-5.0.2.3.4-5.0.2.3.5.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-dynfield&amp;url=postgresql/upgrade/upgrade-5.0.2.3.5-5.0.2.3.6.sql&amp;version_id=6000">sql/postgresql/upgrade/upgrade-5.0.2.3.5-5.0.2.3.6.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-dynfield&amp;url=postgresql/upgrade/upgrade-5.0.2.4.0-5.0.2.4.1.sql&amp;version_id=6000">sql/postgresql/upgrade/upgrade-5.0.2.4.0-5.0.2.4.1.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td><b>admin/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/admin/menu-action.tcl">menu-action.tcl</a></b></td><td>Delete selected menus</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/admin/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/admin/new.tcl">new.tcl</a></b></td><td>Create a new dynamic value or edit an existing one.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-delete.adp">attribute-delete.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-delete.tcl">attribute-delete.tcl</a></b></td><td>Bulk delete attributes</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-new.adp">attribute-new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-new.tcl">attribute-new.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-type-map-2.tcl">attribute-type-map-2.tcl</a></b></td><td>Set the display mode for the specific acs_object_type.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-type-map-toggle.tcl">attribute-type-map-toggle.tcl</a></b></td><td>Toggle attribute display mode</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-type-map.adp">attribute-type-map.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/attribute-type-map.tcl">attribute-type-map.tcl</a></b></td><td>Show an Attribute - Object (Sub-) Type table.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/export.xml.tcl">export.xml.tcl</a></b></td><td>testing xml and tdom</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/extension-table-delete.tcl">extension-table-delete.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/extension-table-new-2.tcl">extension-table-new-2.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/extension-table-new.adp">extension-table-new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/extension-table-new.tcl">extension-table-new.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/import.tcl">import.tcl</a></b></td><td>Import an XML file with the DynField data</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/index.tcl">index.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-adp.adp">layout-adp.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-adp.tcl">layout-adp.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-default.tcl">layout-default.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-del.tcl">layout-del.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-manager.adp">layout-manager.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-manager.tcl">layout-manager.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-page.adp">layout-page.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-page.tcl">layout-page.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-position-2.adp">layout-position-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-position-2.tcl">layout-position-2.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-position-del.tcl">layout-position-del.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-position.adp">layout-position.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/layout-position.tcl">layout-position.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-attributes-map.tcl">list-attributes-map.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-attributes-optional.tcl">list-attributes-optional.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-attributes-required.tcl">list-attributes-required.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-attributes-unmap.tcl">list-attributes-unmap.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-attributes.tcl">list-attributes.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-form-preview.adp">list-form-preview.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-form-preview.tcl">list-form-preview.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-order-update.tcl">list-order-update.tcl</a></b></td><td>Update sort order</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-text.adp">list-text.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/list-text.tcl">list-text.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/master.adp">master.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/master.tcl">master.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-new.adp">object-new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-new.tcl">object-new.tcl</a></b></td><td>Edit/Create an Object This pages allows to edit and create objects generically.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-type.adp">object-type.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-type.tcl">object-type.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-type2.adp">object-type2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-type2.tcl">object-type2.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-types.adp">object-types.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/object-types.tcl">object-types.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/permissions.adp">permissions.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/permissions.tcl">permissions.tcl</a></b></td><td>Show the permissions for all menus in the system</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/upload.adp">upload.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/upload.tcl">upload.tcl</a></b></td><td>upload an XML file with the dynfield data</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widget-examples.adp">widget-examples.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widget-examples.tcl">widget-examples.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widget-new.adp">widget-new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widget-new.tcl">widget-new.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widgets-delete.tcl">widgets-delete.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widgets.adp">widgets.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=6000&amp;path=packages/intranet-dynfield/www/widgets.tcl">widgets.tcl</a></b></td><td></td></tr></table>

